org.apache.poi.hssf.record

## Class CalcModeRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.CalcModeRecord

- All Implemented Interfaces:
    Duplicatable

      public final class CalcModeRecord
      extends StandardRecord

  Tells the gui whether to calculate formulas automatically, manually or automatically except for tables.
  Version:
    2.0-pre
  See Also:
    `CalcCountRecord`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `AUTOMATIC` automatically calculate formulas (1)
    `static short` | `AUTOMATIC_EXCEPT_TABLES` automatically calculate formulas except for tables (-1)
    `static short` | `MANUAL` manually calculate formulas (0)
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalcModeRecord()`
    `CalcModeRecord(CalcModeRecord other)`
    `CalcModeRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CalcModeRecord` | `clone()` Deprecated.
    `CalcModeRecord` | `copy()`
    `short` | `getCalcMode()` get the calc mode flag for formulas
    `protected int` | `getDataSize()`
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCalcMode(short calcmode)` set the calc mode flag for formulas
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### MANUAL

          public static final short MANUAL

      manually calculate formulas (0)
      See Also:
        Constant Field Values

    - #### AUTOMATIC

          public static final short AUTOMATIC

      automatically calculate formulas (1)
      See Also:
        Constant Field Values

    - #### AUTOMATIC_EXCEPT_TABLES

          public static final short AUTOMATIC_EXCEPT_TABLES

      automatically calculate formulas except for tables (-1)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CalcModeRecord

          public CalcModeRecord()

    - #### CalcModeRecord

          public CalcModeRecord(CalcModeRecord other)

    - #### CalcModeRecord

          public CalcModeRecord(RecordInputStream in)

  - ### Method Detail

    - #### setCalcMode

          public void setCalcMode(short calcmode)

      set the calc mode flag for formulas
      Parameters:
        `calcmode` - one of the three flags above
      See Also:
        `MANUAL`, `AUTOMATIC`, `AUTOMATIC_EXCEPT_TABLES`

    - #### getCalcMode

          public short getCalcMode()

      get the calc mode flag for formulas
      Returns:
        calcmode one of the three flags above
      See Also:
        `MANUAL`, `AUTOMATIC`, `AUTOMATIC_EXCEPT_TABLES`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public CalcModeRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public CalcModeRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.